# builds a sick post
post() {
	# check directory existence
	if [ -f markdown/post/$1 ] 
	then
		# compile the new post and drop it in ./post/
		pandoc markdown/post/$1 --css bstyle.css -s -o post/${1%.*}.html
	else
		echo "File \"$1\" not found in markdown/post"
	fi
}

# builds a site "page" like the about page, links page etc
page() {
	# we want to enforce maintainence of directory structure
	if [ -f markdown/pages/$1 ] 
	then
		# compile then drop in ./page/
		pandoc markdown/pages/$1 --css bstyle.css -s -o page/${1%.*}.html
	else
		echo "File \"$1\" not found in markdown/pages"
	fi
}

index() {
	pandoc index.md --css style.css -s -o index.html # typing succs
}

help() {
	case $1 in 
		type)
			echo -e "[post, page] \n\tThe kind of page you want to add to the site"
			echo "Different types result in different compilation locations"
			;;
		target)
			echo "The file that you want to actually compile to html"
			;;
		flag)
			echo -e "Available flags:\n\tr - rebuilds file, does not update index.html\n\tn - builds file, updates index.html"
			echo -e "\t*Pages will not update index.html*"
			;;
		*)
			echo "./make.sh type target.md flag"
	esac
}

"$@"
